Eclipse Rich Ajax Platform

## org.eclipse.swt.accessibility
Interface AccessibleActionListener

All Known Implementing Classes:
  AccessibleActionAdapter

    public interface AccessibleActionListener

Classes which implement this interface provide methods that handle AccessibleAction events.

After creating an instance of a class that implements this interface it can be added to an accessible using the `addAccessibleActionListener` method and removed using the `removeAccessibleActionListener` method.

Since:
  1.4
See Also:
  `AccessibleActionAdapter`, `AccessibleActionEvent`

Method Summary
`void` `doAction(AccessibleActionEvent e)` Performs the specified action on the object.
`void` `getActionCount(AccessibleActionEvent e)` Returns the number of accessible actions available in this object.
`void` `getDescription(AccessibleActionEvent e)` Returns a description of the specified action.
`void` `getKeyBinding(AccessibleActionEvent e)` Returns a string representing one or more key bindings, if there are any, associated with the specified action.
`void` `getName(AccessibleActionEvent e)` Returns the name of the specified action.

Method Detail

### getActionCount

    void getActionCount(AccessibleActionEvent e)

  Returns the number of accessible actions available in this object.

  If there are more than one, the first one (index 0) is considered the "default" action of the object.

  Parameters:
    `e` - an event object containing the following fields:
    - [out] count - the number of actions, or zero if there are no actions

### doAction

    void doAction(AccessibleActionEvent e)

  Performs the specified action on the object.

  Parameters:
    `e` - an event object containing the following fields:
    - [in] index - a 0 based index specifying the action to perform. If the index lies outside the valid range no action is performed.
    - [out] result - set to `ACC.OK` if the action was performed.

### getDescription

    void getDescription(AccessibleActionEvent e)

  Returns a description of the specified action.

  Parameters:
    `e` - an event object containing the following fields:
    - [in] index - a 0 based index specifying which action's description to return
    - [out] result - a localized string describing the specified action, or null if the index lies outside the valid range

### getKeyBinding

    void getKeyBinding(AccessibleActionEvent e)

  Returns a string representing one or more key bindings, if there are any, associated with the specified action.

  The returned string is of the following form: mnemonic;accelerator for example: "C;CTRL+C" for the Copy item in a typical Edit menu.

  Parameters:
    `e` - an event object containing the following fields:
    - [in] index - a 0 based index specifying which action's key bindings to return
    - [out] result - a semicolon-delimited string of localized key bindings (example: "C;CTRL+C"), or null if the index lies outside the valid range

### getName

    void getName(AccessibleActionEvent e)

  Returns the name of the specified action.

  There is no need to implement this method for single action controls since that would be redundant with AccessibleControlListener.getDefaultAction.

  Parameters:
    `e` - an event object containing the following fields:
    - [in] index - a 0 based index specifying which action's name to return
    - [in] localized - a boolean indicating whether or not to return a localized name
    - [out] result - the name of the specified action, or null if the index lies outside the valid range

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.